<div>
    <h2 id="page-heading">
        <span jhiTranslate="winpharmApp.laboratoire.home.title">Laboratoires</span>
        <button *jhiHasAnyAuthority="'ROLE_ADMIN'" id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-laboratoire" [routerLink]="['/laboratoire/new']">
            <fa-icon [icon]="'plus'"></fa-icon>
            <span  jhiTranslate="winpharmApp.laboratoire.home.createLabel">
            Create a new Laboratoire
            </span>
        </button>
    </h2>
    <jhi-alert></jhi-alert>
    <br/>
    <div class="alert alert-warning" *ngIf="laboratoires?.length === 0">
        <span jhiTranslate="winpharmApp.laboratoire.home.notFound">No laboratoires found</span>
    </div>
    <div class="table-responsive" *ngIf="laboratoires?.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
            <tr jhiSort [(predicate)]="predicate" [(ascending)]="reverse" [callback]="transition.bind(this)">
            <th jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="raisonSociale"><span jhiTranslate="winpharmApp.laboratoire.raisonSociale">Raison Sociale</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="adresse"><span jhiTranslate="winpharmApp.laboratoire.adresse">Adresse</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="tel"><span jhiTranslate="winpharmApp.laboratoire.tel">Tel</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let laboratoire of laboratoires ;trackBy: trackId">
                <td><a [routerLink]="['/laboratoire', laboratoire.id, 'view' ]">{{laboratoire.id}}</a></td>
                <td>{{laboratoire.raisonSociale}}</td>
                <td>{{laboratoire.adresse}}</td>
                <td>{{laboratoire.tel}}</td>
                <td class="text-right">
                    <div class="btn-group">
                        <button type="submit"
                                [routerLink]="['/laboratoire', laboratoire.id, 'view' ]"
                                class="btn btn-info btn-sm">
                            <fa-icon [icon]="'eye'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/laboratoire', laboratoire.id, 'edit']"
                                class="btn btn-primary btn-sm"
                                *jhiHasAnyAuthority="'ROLE_ADMIN'">
                            <fa-icon [icon]="'pencil-alt'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/laboratoire', { outlets: { popup: laboratoire.id + '/delete'} }]"
                                replaceUrl="true"
                                queryParamsHandling="merge"
                                class="btn btn-danger btn-sm"
                                *jhiHasAnyAuthority="'ROLE_ADMIN'">
                            <fa-icon [icon]="'times'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
    <div [hidden]="laboratoires?.length === 0">
        <div class="row justify-content-center">
            <jhi-item-count [page]="page" [total]="totalItems" [itemsPerPage]="itemsPerPage"></jhi-item-count>
        </div>
        <div class="row justify-content-center">
            <ngb-pagination [collectionSize]="totalItems" [(page)]="page" [pageSize]="itemsPerPage" [maxSize]="5" [rotate]="true" [boundaryLinks]="true" (pageChange)="loadPage(page)"></ngb-pagination>
        </div>
    </div>
</div>
